ros-lyrical-zstd-image-transport (6.2.4-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Mon, 13 Apr 2026 00:00:00 -0000

ros-lyrical-zstd-image-transport (6.2.3-3resolute) resolute; urgency=high

  * Update API (#217 <https://github.com/ros-perception/image_transport_plugins/issues/217>)
  * Publish with uniqueptr for efficiency (#216 <https://github.com/ros-perception/image_transport_plugins/issues/216>)
  * Cleanup bsd 3 clause license usage (#212 <https://github.com/ros-perception/image_transport_plugins/issues/212>)
  * Contributors: Alejandro Hernández Cordero, Maurice Alexander Purnawan

 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Mon, 06 Apr 2026 00:00:00 -0000

ros-lyrical-zstd-image-transport (6.2.2-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Mon, 06 Oct 2025 00:00:00 -0000

ros-lyrical-zstd-image-transport (6.2.1-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Wed, 10 Sep 2025 00:00:00 -0000

ros-lyrical-zstd-image-transport (6.2.0-3resolute) resolute; urgency=high

  * Support lifecycle (#180 <https://github.com/ros-perception/image_transport_plugins/issues/180>)
  * Fix linter warning (#201 <https://github.com/ros-perception/image_transport_plugins/issues/201>)
  * Contributors: Alejandro Hernández Cordero, Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Fri, 22 Aug 2025 00:00:00 -0000

ros-lyrical-zstd-image-transport (6.1.0-3resolute) resolute; urgency=high

  * Replace rmw_qos_profile_t with rclcpp::QoS (#193 <https://github.com/ros-perception/image_transport_plugins/issues/193>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Tue, 15 Jul 2025 00:00:00 -0000

ros-lyrical-zstd-image-transport (6.0.0-3resolute) resolute; urgency=high

  * Use non deprecated method (#182 <https://github.com/ros-perception/image_transport_plugins/issues/182>)
  * Merge pull request #188 <https://github.com/ros-perception/image_transport_plugins/issues/188> from bjsowa/fix/canonical-param-names
  * Add TODO comments about deprecated parameters
  * Simplify pre set parameter callback for other transports
  * Adding the include of cstdint (#189 <https://github.com/ros-perception/image_transport_plugins/issues/189>)
  * Don't add pre set parameter callback when not needed
  * Add deprecated dot parameters for zstd transport
  * Fix inconsistent transport param names
  * Contributors: Alejandro Hernández Cordero, Błażej Sowa, Jan Vermaete, Kenji Brameld

 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Wed, 09 Jul 2025 00:00:00 -0000

ros-lyrical-zstd-image-transport (5.0.3-3resolute) resolute; urgency=high

  * Use target_link_libraries instead of ament_target_dependencies (#179 <https://github.com/ros-perception/image_transport_plugins/issues/179>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Wed, 21 May 2025 00:00:00 -0000

ros-lyrical-zstd-image-transport (5.0.2-3resolute) resolute; urgency=high

  * Use standard C++ type unsigned int in place of uint (#174 <https://github.com/ros-perception/image_transport_plugins/issues/174>)
  * Contributors: Silvio Traversaro

 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Mon, 10 Feb 2025 00:00:00 -0000

ros-lyrical-zstd-image-transport (5.0.1-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Mon, 25 Nov 2024 00:00:00 -0000

ros-lyrical-zstd-image-transport (5.0.0-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Wed, 31 Jul 2024 00:00:00 -0000

ros-lyrical-zstd-image-transport (4.0.1-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Mon, 22 Jul 2024 00:00:00 -0000

ros-lyrical-zstd-image-transport (4.0.0-3resolute) resolute; urgency=high

  * Added zstd image transport plugin (#154 <https://github.com/ros-perception/image_transport_plugins/issues/154>)
  * Contributors: Alejandro Hernández Cordero, Kenji Brameld

 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Sat, 13 Apr 2024 00:00:00 -0000

ros-lyrical-zstd-image-transport (3.2.0-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Mon, 08 May 2023 00:00:00 -0000

ros-lyrical-zstd-image-transport (3.0.0-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Tue, 18 Apr 2023 00:00:00 -0000

ros-lyrical-zstd-image-transport (2.6.0-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Tue, 16 Aug 2022 00:00:00 -0000

ros-lyrical-zstd-image-transport (2.5.0-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Mon, 18 Apr 2022 00:00:00 -0000

ros-lyrical-zstd-image-transport (2.4.0-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-lyrical-zstd-image-transport (2.3.2-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Fri, 18 Feb 2022 00:00:00 -0000

ros-lyrical-zstd-image-transport (2.3.1-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Tue, 13 Jul 2021 00:00:00 -0000

ros-lyrical-zstd-image-transport (2.3.0-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Thu, 28 May 2020 00:00:00 -0000

ros-lyrical-zstd-image-transport (2.2.1-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Wed, 23 Oct 2019 00:00:00 -0000

ros-lyrical-zstd-image-transport (2.2.0-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Fri, 27 Sep 2019 00:00:00 -0000

ros-lyrical-zstd-image-transport (2.1.0-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Fri, 23 Aug 2019 00:00:00 -0000

ros-lyrical-zstd-image-transport (2.0.0-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Thu, 13 Dec 2018 00:00:00 -0000

ros-lyrical-zstd-image-transport (1.9.5-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Mon, 03 Oct 2016 00:00:00 -0000

ros-lyrical-zstd-image-transport (1.9.4-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Sun, 02 Oct 2016 00:00:00 -0000

ros-lyrical-zstd-image-transport (1.9.3-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Sun, 17 Jan 2016 00:00:00 -0000

ros-lyrical-zstd-image-transport (1.9.2-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Sat, 25 Apr 2015 00:00:00 -0000

ros-lyrical-zstd-image-transport (1.9.1-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Fri, 18 Jul 2014 00:00:00 -0000

ros-lyrical-zstd-image-transport (1.9.0-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Fri, 16 May 2014 00:00:00 -0000

ros-lyrical-zstd-image-transport (1.8.21-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Thu, 27 Jun 2013 00:00:00 -0000

ros-lyrical-zstd-image-transport (1.8.20-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Mon, 18 Mar 2013 00:00:00 -0000

ros-lyrical-zstd-image-transport (1.8.19-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Sun, 24 Feb 2013 00:00:00 -0000

ros-lyrical-zstd-image-transport (1.8.18-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Thu, 07 Feb 2013 00:00:00 -0000

ros-lyrical-zstd-image-transport (1.8.17-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Fri, 18 Jan 2013 00:00:00 -0000

ros-lyrical-zstd-image-transport (1.8.16-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Thu, 17 Jan 2013 00:00:00 -0000

ros-lyrical-zstd-image-transport (1.8.15-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Fri, 28 Dec 2012 20:11:00 -0000

ros-lyrical-zstd-image-transport (1.8.14-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Fri, 28 Dec 2012 20:02:00 -0000

ros-lyrical-zstd-image-transport (1.8.13-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Fri, 28 Dec 2012 19:06:00 -0000

ros-lyrical-zstd-image-transport (1.8.12-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Wed, 19 Dec 2012 19:30:00 -0000

ros-lyrical-zstd-image-transport (1.8.11-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Wed, 19 Dec 2012 17:17:00 -0000

ros-lyrical-zstd-image-transport (1.8.10-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Wed, 19 Dec 2012 17:03:00 -0000

ros-lyrical-zstd-image-transport (1.8.9-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Wed, 19 Dec 2012 00:26:00 -0000

ros-lyrical-zstd-image-transport (1.8.8-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Mon, 17 Dec 2012 00:00:00 -0000

ros-lyrical-zstd-image-transport (1.8.7-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Mon, 10 Dec 2012 15:29:00 -0000

ros-lyrical-zstd-image-transport (1.8.6-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Mon, 10 Dec 2012 15:08:00 -0000

ros-lyrical-zstd-image-transport (1.8.5-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Sun, 09 Dec 2012 00:00:00 -0000

ros-lyrical-zstd-image-transport (1.8.4-3resolute) resolute; urgency=high



 -- Alejandro Hernandez Cordero <ahcorde@gmail.com>  Fri, 30 Nov 2012 00:00:00 -0000


